
From: Nick Piggin <nickpiggin@yahoo.com.au>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN Documentation/kernel-parameters.txt~document-isolcpus=-boot-option Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~document-isolcpus=-boot-option	Thu Sep 30 17:12:00 2004
+++ 25-akpm/Documentation/kernel-parameters.txt	Thu Sep 30 17:12:00 2004
@@ -533,6 +533,18 @@ running once the system is up.
 	isapnp=		[ISAPNP]
 			Format: <RDP>, <reset>, <pci_scan>, <verbosity>
 
+	isolcpus=	[KNL,SMP] Isolate CPUs from the general scheduler.
+			Format: <cpu number>, ..., <cpu number>
+			This option can be used to specify one or more CPUs
+			to isolate from the general SMP balancing and scheduling
+			algorithms. The only way to move a process onto or off
+			an "isolated" CPU is via the CPU affinity syscalls.
+
+			This option is the preferred way to isolate CPUs. The
+			alternative - manually setting the CPU mask of all tasks
+			in the system can cause problems and suboptimal load
+			balancer performance.
+
 	isp16=		[HW,CD]
 			Format: <io>,<irq>,<dma>,<setup>
 
_
